std::remove_reference< _Tp > Struct Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

## Public Types

using | type = __remove_reference(_Tp)

## Detailed Description

template<typename _Tp>
struct std::remove_reference< _Tp >

remove_reference

Definition at line 1611 of file type_traits.

## Member Typedef Documentation

## type

template<typename _Tp >

using std::remove_reference< _Tp >::type = __remove_reference(_Tp)

Definition at line 1612 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits